Name:           chessx
Version:        1.5.6
Release:        2%{?dist}
Summary:        Chess Database and PGN viewer

License:        GPLv2
URL:            https://sourceforge.net/projects/chessx/
Source0:        https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tgz

# Requires Qt >= 5.7 as per INSTALL
%global min_qt_version 5.7.0

BuildRequires:  qt5-qtbase-devel >= %{min_qt_version}
BuildRequires:  qt5-linguist >= %{min_qt_version}
BuildRequires:  pkgconfig(Qt5Svg) >= %{min_qt_version}
BuildRequires:  pkgconfig(Qt5Multimedia) >= %{min_qt_version}
BuildRequires:  desktop-file-utils

%description
ChessX is a free and open source chess database application for Linux, Mac OS X
and Windows.


%prep
%autosetup -p1 -n %{name}-%{version}


%build
%qmake_qt5 -r
%make_build


%install
# Install the binary (already has all resources bundled)
install -d %{buildroot}/%{_bindir}
install release/chessx %{buildroot}/%{_bindir}

# Install the icon for the desktop file
install -d %{buildroot}/%{_datadir}/pixmaps
install data/images/chessx.png %{buildroot}/%{_datadir}/pixmaps

# Install the desktop file
desktop-file-install \
    --dir=%{buildroot}%{_datadir}/applications \
    unix/chessx.desktop


%files
%license COPYING
%{_bindir}/chessx
%{_datadir}/applications/chessx.desktop
%{_datadir}/pixmaps/chessx.png


%changelog
* Sun Jun 13 2021 Ondrej Mosnacek <omosnace@redhat.com> - 1.5.6-2
- Add a desktop file and icon

* Sun Jun 06 2021 Ondrej Mosnacek <omosnace@redhat.com> - 1.5.6-1
- Update to version 1.5.6

* Sun Apr 19 2020 Ondrej Mosnacek <omosnace@redhat.com> - 1.5.0-1
- Initial version
